cache:
 paths:
 - /root/.m2/repository

services:
  - mysql:5

variables:
  MYSQL_ROOT_PASSWORD: "yes"
  MYSQL_DATABASE: "db_simak"
  SPRING_DATASOURCE_URL: "jdbc:mysql://mysql/db_simak?useSSL=false"
  SPRING_DATASOURCE_USERNAME: "root"
  SPRING_DATASOURCE_PASSWORD: "yes"
  
stages:
 - build
 - deploy

maven-build:
 image: maven:3-jdk-11
 stage: build
 script:
 - mvn clean package -B -DskipTests
 artifacts:
     paths:
       - target/*.jar

deploy-to-production:
 image: debian:latest
 stage: deploy
 only:
    - /-RELEASE$/
 script:
  - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
  - eval $(ssh-agent -s)
  - ssh-add <(echo "$SSH_PRIVATE_KEY")
  - mkdir -p ~/.ssh
  - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
  - '[[ -f /.dockerenv ]] && ssh-keyscan -H "$SSH_HOSTNAME_PRODUCTION" > ~/.ssh/known_hosts'
  - scp target/*.jar root@$SSH_HOSTNAME_PRODUCTION:/var/lib/$CI_PROJECT_NAME/
  - ssh root@$SSH_HOSTNAME_PRODUCTION /var/lib/$CI_PROJECT_NAME/deploy.sh $CI_PROJECT_NAME-$CI_COMMIT_TAG.jar
